[lxc-devel] [lxd/master] tests: Make shellcheck happy

stgraber on Github lxc-bot at linuxcontainers.org
Thu Jun 20 21:00:24 UTC 2019


A non-text attachment was scrubbed...
Name: not available
Type: text/x-mailbox
Size: 354 bytes
Desc: not available
URL: <http://lists.linuxcontainers.org/pipermail/lxc-devel/attachments/20190620/9bcc1c8e/attachment.bin>
-------------- next part --------------
From 92937ec83fce99d8923c53ba6e6c5b3c8e688550 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?St=C3=A9phane=20Graber?= <stgraber at ubuntu.com>
Date: Thu, 20 Jun 2019 16:59:22 -0400
Subject: [PATCH] tests: Make shellcheck happy
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

Signed-off-by: St├ęphane Graber <stgraber at ubuntu.com>
---
 test/suites/container_devices_nic_bridged.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/test/suites/container_devices_nic_bridged.sh b/test/suites/container_devices_nic_bridged.sh
index 84c603079f..c29ff68c36 100644
--- a/test/suites/container_devices_nic_bridged.sh
+++ b/test/suites/container_devices_nic_bridged.sh
@@ -268,7 +268,7 @@ test_container_devices_nic_bridged() {
   fi
 
   # Check DHCPv4 lease has DNS record assigned.
-  if ! dig @192.0.2.1 "${ctName}.blah" | grep "${ctName}.blah.\+0.\+IN.\+A.\+192.0.2." ; then
+  if ! dig @192.0.2.1 "${ctName}.blah" | grep "${ctName}.blah.\\+0.\\+IN.\\+A.\\+192.0.2." ; then
     echo "DNS resolution of DHCP name failed"
     false
   fi


More information about the lxc-devel mailing list